## unalignedaudioparse unalignedaudioparse |

## Properties

GValueArray * | channel-positions | Read / Write
GstRawAudioParseFormat | format | Read / Write
gboolean | interleaved | Read / Write
gint | num-channels | Read / Write
GstAudioFormat | pcm-format | Read / Write
gint | sample-rate | Read / Write

## Types and Values

struct | GstRawAudioParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstRawBaseParse
                            ╰── GstRawAudioParse

## Description

## Synopsis

### Element Information

plugin | rawparse
author | Carlos Rafael Giani <dv@pseudoterminal.org>
class | Codec/Parser/Bin/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-unaligned-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

## Functions

## Types and Values

### struct GstRawAudioParse

    struct GstRawAudioParse;

## Property Details

### The `“channel-positions”` property

      “channel-positions”        GValueArray *

Channel positions used on the output.

Flags: Read / Write

### The `“format”` property

      “format”                   GstRawAudioParseFormat

Format of the raw audio stream.

Flags: Read / Write

Default value: PCM

### The `“interleaved”` property

      “interleaved”              gboolean

True if audio has interleaved layout.

Flags: Read / Write

Default value: TRUE

### The `“num-channels”` property

      “num-channels”             gint

Number of channels in raw stream.

Flags: Read / Write

Allowed values: >= 1

Default value: 2

### The `“pcm-format”` property

      “pcm-format”               GstAudioFormat

Format of audio samples in PCM stream (ignored if format property is not set to pcm).

Flags: Read / Write

Default value: GST_AUDIO_FORMAT_UNKNOWN

### The `“sample-rate”` property

      “sample-rate”              gint

Rate of audio samples in raw stream.

Flags: Read / Write

Allowed values: >= 1

Default value: 44100